Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
cURL
curl --request POST \ --url https://api.orq.ai/v2/router/moderations \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "input": "<string>", "model": "<string>" } '
{ "id": "<string>", "model": "<string>", "results": [ { "flagged": true, "categories": { "hate": true, "hate/threatening": true, "harassment": true, "harassment/threatening": true, "illicit": true, "illicit/violent": true, "self-harm": true, "self-harm/intent": true, "self-harm/instructions": true, "sexual": true, "sexual/minors": true, "violence": true, "violence/graphic": true }, "category_scores": { "hate": 123, "hate/threatening": 123, "harassment": 123, "harassment/threatening": 123, "illicit": 123, "illicit/violent": 123, "self-harm": 123, "self-harm/intent": 123, "self-harm/instructions": 123, "sexual": 123, "sexual/minors": 123, "violence": 123, "violence/graphic": 123 }, "category_applied_input_types": { "hate": [ "<string>" ], "hate/threatening": [ "<string>" ], "harassment": [ "<string>" ], "harassment/threatening": [ "<string>" ], "illicit": [ "<string>" ], "illicit/violent": [ "<string>" ], "self-harm": [ "<string>" ], "self-harm/intent": [ "<string>" ], "self-harm/instructions": [ "<string>" ], "sexual": [ "<string>" ], "sexual/minors": [ "<string>" ], "violence": [ "<string>" ], "violence/graphic": [ "<string>" ] } } ] }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Classifies if text violates content policy
Input (or inputs) to classify. Can be a single string, an array of strings, or an array of multi-modal input objects similar to other models.
The content moderation model you would like to use. Defaults to omni-moderation-latest
Returns moderation classification results
The unique identifier for the moderation request
The model used to generate the moderation results
A list of moderation objects
Show child attributes
Was this page helpful?